/**
*	Metamaxim ModelScope
*	Copyright 2007 Metamaxim Ltd
*/

package PhoneBook;

import com.metamaxim.modelscope.callbacks.*;


public class Singleton extends Behaviour {


	public String getState() {
		// The state is calculated to be "none" if no instances of this object type currently exist.
		// The "selectInState" looks for instances of this object type in any state.
		return this.selectInState(this.getObjectType(),"@any").length == 0 ? "none" : "some";
		}

}

